picard.vcf

## Class GenotypeConcordanceSummaryMetrics

- java.lang.Object
- - htsjdk.samtools.metrics.MetricBase
  - - picard.vcf.GenotypeConcordanceSummaryMetrics

-     public class GenotypeConcordanceSummaryMetrics
      extends htsjdk.samtools.metrics.MetricBase

  Class that holds summary metrics about Genotype Concordance

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `String` | `CALL_SAMPLE` The name of the 'call' sample
    `double` | `GENOTYPE_CONCORDANCE` The genotype concordance for all possible states.
    `double` | `HET_PPV` The ppv (positive predictive value) for all heterozygous variants (PPV is the TP / (TP + FP))
    `double` | `HET_SENSITIVITY` The sensitivity for all heterozygous variants (Sensitivity is TP / (TP + FN))
    `double` | `HET_SPECIFICITY` The specificity for all heterozygous variants cannot be calculated
    `double` | `HOMVAR_PPV` The ppv (positive predictive value) for all homozygous variants (PPV is the TP / (TP + FP))
    `double` | `HOMVAR_SENSITIVITY` The sensitivity for all homozygous variants (Sensitivity is TP / (TP + FN))
    `double` | `HOMVAR_SPECIFICITY` The specificity for all homozygous variants cannot be calculated.
    `double` | `NON_REF_GENOTYPE_CONCORDANCE` The non-ref genotype concordance, ie for all var states only.
    `String` | `TRUTH_SAMPLE` The name of the 'truth' sample
    `double` | `VAR_PPV` The ppv (positive predictive value) for all (heterozygous and homozygous) variants (PPV is the TP / (TP + FP))
    `double` | `VAR_SENSITIVITY` The sensitivity for all (heterozygous and homozygous) variants (Sensitivity is TP / (TP + FN))
    `double` | `VAR_SPECIFICITY` The specificity for all (heterozygous and homozygous) variants (Specificity is TN / (FP + TN))
    `htsjdk.variant.variantcontext.VariantContext.Type` | `VARIANT_TYPE` The type of the event (i.e.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GenotypeConcordanceSummaryMetrics()` Empty constructor - needed for unit tests
    `GenotypeConcordanceSummaryMetrics(htsjdk.variant.variantcontext.VariantContext.Type variantType, GenotypeConcordanceCounts concordanceCounts, String truthSample, String callSample, boolean missingSitesFlag)`

  - ### Method Summary

    - ### Methods inherited from class htsjdk.samtools.metrics.MetricBase

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### VARIANT_TYPE

          public htsjdk.variant.variantcontext.VariantContext.Type VARIANT_TYPE

      The type of the event (i.e. either SNP or INDEL)

    - #### TRUTH_SAMPLE

          public String TRUTH_SAMPLE

      The name of the 'truth' sample

    - #### CALL_SAMPLE

          public String CALL_SAMPLE

      The name of the 'call' sample

    - #### HET_SENSITIVITY

          public double HET_SENSITIVITY

      The sensitivity for all heterozygous variants (Sensitivity is TP / (TP + FN))

    - #### HET_PPV

          public double HET_PPV

      The ppv (positive predictive value) for all heterozygous variants (PPV is the TP / (TP + FP))

    - #### HET_SPECIFICITY

          public double HET_SPECIFICITY

      The specificity for all heterozygous variants cannot be calculated

    - #### HOMVAR_SENSITIVITY

          public double HOMVAR_SENSITIVITY

      The sensitivity for all homozygous variants (Sensitivity is TP / (TP + FN))

    - #### HOMVAR_PPV

          public double HOMVAR_PPV

      The ppv (positive predictive value) for all homozygous variants (PPV is the TP / (TP + FP))

    - #### HOMVAR_SPECIFICITY

          public double HOMVAR_SPECIFICITY

      The specificity for all homozygous variants cannot be calculated.

    - #### VAR_SENSITIVITY

          public double VAR_SENSITIVITY

      The sensitivity for all (heterozygous and homozygous) variants (Sensitivity is TP / (TP + FN))

    - #### VAR_PPV

          public double VAR_PPV

      The ppv (positive predictive value) for all (heterozygous and homozygous) variants (PPV is the TP / (TP + FP))

    - #### VAR_SPECIFICITY

          public double VAR_SPECIFICITY

      The specificity for all (heterozygous and homozygous) variants (Specificity is TN / (FP + TN))

    - #### GENOTYPE_CONCORDANCE

          public double GENOTYPE_CONCORDANCE

      The genotype concordance for all possible states. Genotype Concordance is the number of times the truth and call states match exactly / all truth and call combinations made

    - #### NON_REF_GENOTYPE_CONCORDANCE

          public double NON_REF_GENOTYPE_CONCORDANCE

      The non-ref genotype concordance, ie for all var states only. Non Ref Genotype Concordance is the number of times the truth and call states match exactly for *vars only* / all truth and call *var* combinations made

  - ### Constructor Detail

    - #### GenotypeConcordanceSummaryMetrics

          public GenotypeConcordanceSummaryMetrics()

      Empty constructor - needed for unit tests

    - #### GenotypeConcordanceSummaryMetrics

          public GenotypeConcordanceSummaryMetrics(htsjdk.variant.variantcontext.VariantContext.Type variantType,
                                                   GenotypeConcordanceCounts concordanceCounts,
                                                   String truthSample,
                                                   String callSample,
                                                   boolean missingSitesFlag)